#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,q;
    cin >> n >> q;
    vector<int> v(n);
    for(int i=0; i<n; i++)cin >> v[i];
    sort(v.begin(),v.end());
    int a=floor(n/2.0)+1;
    int mid=v[a-1];
    //cout << mid << endl;
    for(int i=0; i<q; i++){
        int x;
        cin >> x;
        //cout << mid << ":"; cout << endl;
        int res=distance(upper_bound(v.begin(),v.end(),x),v.end()+1);
        if(mid>x){
            int res1=(n+1)-res;//distance(v.begin(),lower_bound(v.begin(),v.end(),x)+1);
            ///cout << res << "-" << res1 << endl;
            cout << abs(a-res)+abs(a-res1) << endl;
            //cout << res-res1+1 << endl;
        }
        else{
        int res2=distance(upper_bound(v.begin(),v.end(),x-1),v.end());
        //cout << res2 << ":";cout << endl;
        if(res2==0)cout << n << endl;
        else cout << abs(a-res2) << endl;
    }}
    return 0;
}